#pragma once

#include "CoreMinimal.h"
#include "BaseBehaviourDetectionComponent.h"
#include "GameplayTagContainer.h"
#include "BehaviourDetectionComponent_Tunneling_UnhookProtection.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UBehaviourDetectionComponent_Tunneling_UnhookProtection : public UBaseBehaviourDetectionComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTagContainer _beforeExitGatePoweredIncentiveTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTagContainer _afterExitGatePoweredIncentiveTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTagContainer _beforeExitGatePoweredAntiCampSelfUnhookIncentiveTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FGameplayTagContainer _afterExitGatePoweredAntiCampSelfUnhookIncentiveTags;

public:
	UBehaviourDetectionComponent_Tunneling_UnhookProtection();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourDetectionComponent_Tunneling_UnhookProtection) { return 0; }
